# Configuration files for CheesePi
# http://cheesepi.sics.se
# The cheesepi.default.conf file will be renamed to cheesepi.conf upon installation


## Secret to use for signing, auto-replaced when copying by config.py
secret = _SECRET_

# The public uuid which is used for identifying this device across ip changes
uuid = _UUID_

## Central servers, current the same host
# who controls which tasks are run?
controller = cheesepi.sics.se
# who collects monitored data? Sent by Upload.py task
collector  = cheesepi.sics.se

## Should CheesePi distribution be autoupdated, though PyPi
auto_update  = true

# Where are local tasks specifed? (In the CheesePi directory)
schedule = schedule.dat

## Logging details
logfile = .cheesepi.log
# For levels see https://docs.python.org/2/library/logging.html#levels
log_level = 20
log_stdout = false
log_format = %(asctime)s-%(name)s:%(levelname)s; %(message)s


## Database engine [e.g. mongo, influx08, influx09, mysql, null]
database = influx08

# Database executable
# Explicitly set a path for the InfluxDB, otherwise $PATH will be searched.
# If that fails, ARM systems will use the binary distributed with CheesePi
#database_exe = /optional/path/to/use/for/influxdb

## Wireless 
# Wifi interface device name
wlan = wlan0
# ESSID name of your access point (to appear in the dashboard)
ap = ACCESSPOINTESSID

# which dashboard backend to use?
dashboard = grafana

